__gnu_pbds::detail::mod_based_range_hashing< Size_Type >(3cxx)

NAME
__gnu_pbds::detail::mod_based_range_hashing< Size_Type > - Mod based range hashing.

SYNOPSIS

Inherited by __gnu_pbds::direct_mod_range_hashing< Size_Type >.

  Protected Types

typedef Size_Type size_type

  Protected Member Functions

void notify_resized (size_type s)
size_type range_hash (size_type s) const
void swap (mod_based_range_hashing &other)

Detailed Description

  template<typename Size_Type>
class __gnu_pbds::detail::mod_based_range_hashing< Size_Type >" Mod based range hashing.

Definition at line 50 of file mod_based_range_hashing.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.